module.exports = {
  create: {
    requestBody: [
      "!url",
      "!subid",
      "!teacher",
      "!teacherid",
      "touser",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!url",
      "!subid",
      "!teacher",
      "!teacherid",
      "touser",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        subid: "subid",
        teacher: "teacher",
        teacherid: "teacherid",
        touser: "touser",
        status: "status",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
